html 
  {
  max-width: 100%;
  overflow-x: hidden;
  }

body
  {
  position: relative;
  font-family: Open Sans, Tahoma, Verdana, sans-serif;
  font-size: 16px;
  font-weight: 200;
  line-height: 1.6;
  background-color: #00669d;   
  min-height: 100vh;
  
  --accent-color: #b7cd00;
  }

a {
  color: #00669d;
}

header nav
  {
  background-color: white;    
  box-shadow: 0px 0px 12px rgba(0,0,0,0.65);
  }

#main
  {
  padding-top: 60px;  
  }

#pks-progress
  {
  position: fixed;
  top: 92px;
  left: 0px;
  width: 100%;  
  border-radius: 0px;
  }

#pks-progress .progress-bar
  {
  border-radius: 0px;
  background-color: #b7cd00 !important;
  }

.border-left
  {
  border-left: 1px solid #aaa;
  }

b 
  {
  font-weight: bold;  
  }

.no-focus
  {
  pointer-events: none;  
  }

hr 
  {
  border: none;
  border-top: 1px solid #aaa;  
  margin: 10px 0;
  opacity: 1;
  }

h1 
  {
  font-size: 20px;    
  margin: 0;
  }

h2 
  {
  color: white;    
  font-size: 1.5em;
  margin: 0;
  }

h2.elements-headline
  {
  font-weight: bold;  
  }

h2.contact-headline
  {
  font-weight: bold;  
  }

h3 
  {
  font-size: 20px;  
  font-weight: 600;
  }

h4
  {
  font-size: 16px;  
  font-weight: 600;    
  }

h2 + h3
  {
  margin-top: 6px;  
  }

img.logo
  {
  height: 60px;
  width: auto;    
  }

.inline-block
  {
  display: inline-block;
  }

#pksCodeForm
  {
  background-color: rgba(0,0,0,0.5);
  padding: 40px 20px;
  text-align: center;  
  color: #fff;
  border-radius: 10px;
  }

#pksCodeForm input.code-input
  {
  display: inline-block;
  text-align: center;
  font-size: 20px;
  width: 90px;
  font-family: Courier;
  text-transform: uppercase;
  letter-spacing: 4px;  
  }
  
#pks-main-container
  {
  padding-bottom: 100px;  
  }  

#pks-main-container input[type=checkbox]
  {
  accent-color: var(--accent-color);  
  }

p.light, label.light
  {
  color: white;  
  }
  
.boxed
  {
  border-radius: 10px;  
  padding: 20px 15px;
  border: 1px solid black;
  background-color: #f5f5f5;
  }

.boxed.light
  {
  background-color: #f0f0f0;
  }

.boxed.light h2
  {
  color: #00669d;   
  }

.pks-page
  {
  display: none;  
  }

.pks-page.active
  {
  display: block;  
  }

.bold
  {
  font-weight: 600;  
  }

.italic
  {
  font-style: italic;  
  }

div.pks-rating
  {
  position: relative;  
  }

div.pks-rating div.pks-ilabel-container
  {
  position: absolute;
  top: -8px;
  margin: 0 auto;
  left: 0;
  right: 0;
  pointer-events: none; 
  line-height: 1;   
  }

div.pks-rating span.pks-ilabel
  {
  font-size: 14px;
  font-weight: bold;
  background-color: rgba(255, 255, 255, 0.6);
  padding: 2px 8px;
  border-radius: 10px;  
  box-shadow: 0px 3px 6px rgba(0,0,0,0.45);
  pointer-events: none; 
  }

div.pks-choice
  {
  position: relative;
  padding: 20px;
  background-color: #f0f0f0;
  border-radius: 10px;  
  min-height: 60px;
  margin-bottom: 10px;
  color: #888888;  
  transition: background-color 0.5s ease-out;
  }

div.pks-choice p
  {
  -moz-hyphens: auto;
  -o-hyphens: auto;
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
  hyphens: auto;     
  }

div.pks-choice form label
  {
  font-size: 14px;  
  }

div.pks-choice form a 
  {
  color: inherit;  
  } 
   
div.pks-choice b
  {
  font-weight: 600;  
  }

div.pks-choice div.pks-extended
  {
  display: none;      
  border-top: 1px solid #fff;
  margin-top: 20px;
  padding-top: 10px;
  }

div.pks-choice div.pks-extended form
  {
  max-width: 500px;  
  }

div.pks-choice div.pks-extended form input[type=checkbox]
  {
  accent-color: var(--accent-color);  
  } 
   
div.pks-choice.active
  {
  background-color: var(--accent-color);
  color: #fff;  
  }

div.pks-choice.active div.pks-extended
  {
  display: block;  
  }
  
div.pks-choice input[type=radio]
  {
  display: none;
  position: absolute;
  left: 20px;
  top: 22px;
  accent-color: var(--accent-color);
  }
    
div.pks-choice i
  {
  position: absolute;
  left: 20px;
  top: 25px;
  font-size: 30px;
  }

div.pks-choice i.active
  {
  display: none;  
  }

div.pks-choice.active i.inactive
  {
  display: none;  
  }

div.pks-choice.active i.active
  {
  display: block;  
  }

#nameModal .modal-content p, #nameModal .modal-content input[type=text], #nameModal .modal-content input[type=email]
  {
  font-size: 14px;  
  }

.btn
  {
  border: 1px solid #fff !important;  
  }

.btn-primary
  {
  background-color: #b7cd00 !important;  
  }

.btn-primary:hover
  {
  background-color: #96ae23 !important;  
  }

.btn-secondary
  {
  background-color: #4a4a4a !important;  
  }

.btn-secondary:hover
  {
  background-color: #8a8a8a !important;  
  }
  
.pks-tbrequest-dlg .form-check-label
  {
  font-size: 14px;  
  }  

.pks-tbrequest-dlg .form-check-label a
  {
  color: inherit;
  text-decoration: underline;  
  }
  
.pks-tbrequest-dlg #pks-tbrequest-notification
  {
  color: #cc0000;  
  }  

#login-window
  {
  display: inline-block;
  background-color: white;
  color: #4a4a4a;
  width: 100%;
  max-width: 600px;  
  padding: 40px;
  border-radius: 10px;
  box-shadow: 0px 0px 12px rgba(0,0,0,0.65);
  margin: 0 auto;
  }

#login-window .atoken
  {
  border: 1px solid black;
  padding: 5px 10px;
  font-size: 1.2em;
  border-radius: 10px;  
  }

#data-window
  {
  position: relative;  
  display: inline-block;
  background-color: white;
  color: #4a4a4a;
  width: 100%;
  max-width: 1200px;  
  border-radius: 10px;
  box-shadow: 0px 0px 12px rgba(0,0,0,0.65);
  }

#login-window h2, #data-window h2 
  {
  color: inherit;  
  }

#login-window, #data-window input[type=text], #data-window textarea
  {
  display: block;
  width: 100%;  
  margin-bottom: 10px;
  background-color: #fff;
  padding: 5px 10px;
  border: 1px solid #000;
  }

input[type=radio], input[type=checkbox]
  {
  display: inline-block;
  margin-right: 6px;  
  transform: scale(1.4);
  accent-color: #00669d !important;
  }

.form-control.inline
  {
  display: inline-block;  
  }

button.btn-seminare 
  {
  background-color: #e7ae00;
  color: #fff;  
  }

button.btn-seminare:hover
  {
  background-color: #ffcc00;    
  color: #fff;
  }

.io-select-container > div
  {
  padding: 10px;  
  }

.io-select-container div.bg-blue-100
  {
  background-color: #0097c7;
  color: #fff;
  padding: 5px 10px;
  font-size: 13px;  
  }

ul.list
  {
  list-style-type: disc;
  margin: 10px 10px 20px 40px;
  }
  
select.default
  {
  border: 1px solid black;
  border-radius: 5px;
  padding: 5px 10px;
  background-color: #fff;
  font-size: 1rem;
  }  

.pseudo-dropdown
  {
  position: relative;  
  }

.pseudo-dropdown input
  {
  padding-right: 30px !important;  
  }
  
.pseudo-dropdown::after
  {
  content: "\f107"; /* Font Awesome Unicode für 'user' */
  font-family: "Font Awesome 5 Free";
  font-weight: 900; /* Wichtig für Solid-Icons */
  position: absolute;
  right: 20px; /* Abstand vom rechten Rand */
  top: 0px; /* vertikal mittig */
  font-size: 24px;
  color: #333; 
  pointer-events: none;
  cursor: pointer;
  }

.btn:disabled 
  {
  opacity: 0.4;  
  }
  
footer
  {
  position: absolute;
  bottom: 0px;
  left: 0px;
  width: 100%;  
  background-color: #222222;
  padding: 20px 0;
  border-top: 1px solid #b7cd00;
  }
  
footer #footer-navigation
  {
  margin: 0;
  padding: 0;
  list-style-type: none;  
  }

footer #footer-navigation li
  {
  display: inline-block;  
  padding: 0;
  margin: 0;
  }

footer #footer-navigation li a
  {
  color: #f0f0f0;  
  font-size: 14px;
  text-decoration: none;
  }

footer #footer-navigation li a:hover
  {
  text-decoration: underline;    
  }

footer #footer-navigation li + li
  {
  margin-left: 20px;  
  }
  
@media all and (max-width: 768px)
  {
  h1 
    {
    font-size: 18px;    
    margin: 0;
    }
  
  h2 
    {
    font-size: 1.3em;
    }
    
  h3 
    {
    font-size: 1.15em;  
    }

  h4
    {
    font-size: 1.08em;  
    }

  #main
    {
    padding-top: 0px;  
    }

  #pksCodeForm input.code-input
    {
    display: inline-block;
    text-align: center;
    font-size: 16px;
    width: 60px;
    font-family: Courier;
    text-transform: uppercase;
    letter-spacing: 2px;  
    }
  
  div.pks-choice
    {
    padding: 10px;  
    }
 
  div.pks-choice i
    {
    left: 10px;
    top: 15px;
    }
   
  #pks-progress
    {
    position: fixed;
    top: 46px;
    left: 0px;
    width: 100%;  
    border-radius: 0px;
    }

  .boxed
    {
    padding: 12px 8px;
    }

  img.logo
    {
    height: 30px;
    }

  footer #footer-navigation
    {
    display: block;
    text-align: center;  
    }

  }